Bullet Collision Detection & Physics Library: btSoftBodyCollisionShape Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftBodyCollisionShape Class Reference

`#include <btSoftBodyInternals.h>`

Inheritance diagram for btSoftBodyCollisionShape:
[legend]
Collaboration diagram for btSoftBodyCollisionShape:
[legend]

## Public Member Functions
| btSoftBodyCollisionShape (btSoftBody *backptr)
virtual | ~btSoftBodyCollisionShape ()
void | processAllTriangles (btTriangleCallback *, const btVector3 &, const btVector3 &) const
virtual void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const
| getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t.
virtual void | setLocalScaling (const btVector3 &)
virtual const btVector3 & | getLocalScaling () const
virtual void | calculateLocalInertia (btScalar, btVector3 &) const
virtual const char * | getName () const
Public Member Functions inherited from btConcaveShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConcaveShape ()
virtual | ~btConcaveShape ()
virtual btScalar | getMargin () const
virtual void | setMargin (btScalar collisionMargin)
Public Member Functions inherited from btCollisionShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCollisionShape ()
virtual | ~btCollisionShape ()
virtual void | getBoundingSphere (btVector3 &center, btScalar &radius) const
virtual btScalar | getAngularMotionDisc () const
| getAngularMotionDisc returns the maximum radius needed for Conservative Advancement to handle time-of-impact with rotations.
virtual btScalar | getContactBreakingThreshold (btScalar defaultContactThresholdFactor) const
void | calculateTemporalAabb (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btVector3 &temporalAabbMin, btVector3 &temporalAabbMax) const
| calculateTemporalAabb calculates the enclosing aabb for the moving object over interval [0..timeStep) result is conservative
bool | isPolyhedral () const
bool | isConvex2d () const
bool | isConvex () const
bool | isNonMoving () const
bool | isConcave () const
bool | isCompound () const
bool | isSoftBody () const
bool | isInfinite () const
| isInfinite is used to catch simulation error (aabb check)
int | getShapeType () const
virtual btVector3 | getAnisotropicRollingFrictionDirection () const
| the getAnisotropicRollingFrictionDirection can be used in combination with setAnisotropicFriction See Bullet/Demos/RollingFrictionDemo for an example
void | setUserPointer (void *userPtr)
| optional user data pointer
void * | getUserPointer () const
void | setUserIndex (int index)
int | getUserIndex () const
void | setUserIndex2 (int index)
int | getUserIndex2 () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure)
virtual void | serializeSingleShape (btSerializer *serializer) const

## Public Attributes
btSoftBody * | m_body

## Additional Inherited Members
Protected Attributes inherited from btConcaveShape
btScalar | m_collisionMargin
Protected Attributes inherited from btCollisionShape
int | m_shapeType
void * | m_userPointer
int | m_userIndex
int | m_userIndex2

## Detailed Description

Definition at line 662 of file btSoftBodyInternals.h.

## Constructor & Destructor Documentation

## ◆ btSoftBodyCollisionShape()

btSoftBodyCollisionShape::btSoftBodyCollisionShape | ( | btSoftBody * | backptr | ) |
| inline

Definition at line 667 of file btSoftBodyInternals.h.

## ◆ ~btSoftBodyCollisionShape()

virtual btSoftBodyCollisionShape::~btSoftBodyCollisionShape | ( |  | ) |
| inlinevirtual

Definition at line 673 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ calculateLocalInertia()

virtual void btSoftBodyCollisionShape::calculateLocalInertia | ( | btScalar | ,
|  | btVector3 & | ) const
| inlinevirtual

not yet

Implements btCollisionShape.

Definition at line 714 of file btSoftBodyInternals.h.

## ◆ getAabb()

virtual void btSoftBodyCollisionShape::getAabb | ( | const btTransform & | t,
|  | btVector3 & | aabbMin,
|  | btVector3 & | aabbMax ) const
| inlinevirtual

getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t.

Implements btCollisionShape.

Definition at line 684 of file btSoftBodyInternals.h.

## ◆ getLocalScaling()

virtual const btVector3 & btSoftBodyCollisionShape::getLocalScaling | ( |  | ) | const
| inlinevirtual

Implements btCollisionShape.

Definition at line 709 of file btSoftBodyInternals.h.

## ◆ getName()

virtual const char * btSoftBodyCollisionShape::getName | ( |  | ) | const
| inlinevirtual

Implements btCollisionShape.

Definition at line 719 of file btSoftBodyInternals.h.

## ◆ processAllTriangles()

void btSoftBodyCollisionShape::processAllTriangles | ( | btTriangleCallback * | ,
|  | const btVector3 & | ,
|  | const btVector3 & | ) const
| inlinevirtual

Implements btConcaveShape.

Definition at line 677 of file btSoftBodyInternals.h.

## ◆ setLocalScaling()

virtual void btSoftBodyCollisionShape::setLocalScaling | ( | const btVector3 & |  | ) |
| inlinevirtual

na

Implements btCollisionShape.

Definition at line 705 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ m_body

btSoftBody* btSoftBodyCollisionShape::m_body

Definition at line 665 of file btSoftBodyInternals.h.

The documentation for this class was generated from the following file:

- btSoftBodyInternals.h